
#import readxls MBI)BDNF_Meta.xls to dataframe
mydata <- MBI_BDNF_Meta

install.packages("meta")
library(meta)
# data(data_for_meta)

# Meta-analysis with Hedges' g as effect measure

m1 <- metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c,
               data = mydata, sm = "SMD", studlab = study)
# data = ?? see line 2 (mydata)

m1
forest(m1)

# Layout of forest plot similar to Review Manager 5
# (see http://community.cochrane.org/tools/review-production-tools/revman-5)
#
# Furthermore, add labels on both sides of forest plot and
# prediction interval
#
forest(m1, comb.fixed = TRUE, digits.sd = 2,
       label.right = "Favors Mindfulness", col.label.right = "black",
       label.left = "Favors Controls", col.label.left = "black")
#Favors: must be specified each time 

# Alternative for RevMan5 forest plot layout
# forest(m1, layout = "RevMan5", comb.fixed = FALSE,
#        label.right = "Favors Control", col.label.right = "black",
#        label.left = "Favors Eperimental", col.label.left = "black")

metabias(m1, method="linreg", k.min = 8)
funnel(m1, comb.fixed=FALSE, comb.random=TRUE)

Type.subgroup<-update.meta(m1, 
                           byvar=Type, 
                           comb.random = TRUE, 
                           comb.fixed = FALSE)

#To see the detals of results and Test for subgroup differences 
Type.subgroup

forest(Type.subgroup, comb.fixed = FALSE, digits.se = 2, test.subgroup.random = TRUE,
       label.right = "Favors MBIs", col.label.right = "black",
       label.left = "Favors Controls", col.label.left = "black")
#Favors: must be specified each time 

#Meta-regression: if "accumulative hours" is an effect modifier
mr1 <- metareg(m1, Acchour)
mr1
bubble(mr1)

#Meta-regression: If "partiipants age" is an effect modifier
mr2 <- metareg(m1, Parage)
mr2
bubble(mr2)

### End of analysis ###

